#ifndef Intermediate_Frequency_Widget_H
#define Intermediate_Frequency_Widget_H
#include "../BaseWidget.h"
#include <memory>

class Text_Button;
class Double_Text_Button;
class Frequent_Shower;
class Progress_Bar;
class Console_Widget;
class Show_Time;
class Base_Widget_Menu;
class Intermediate_Frequency_Widget : public Base_Widget {
    Q_OBJECT
public:
    explicit Intermediate_Frequency_Widget(QWidget *parent = nullptr);
    ~Intermediate_Frequency_Widget() override;
    QPushButton *m1, *m2, *m3, *m4, *m5, *m6;
    Frequent_Shower *frequent_shower;
    Progress_Bar *progress_bar1, *progress_bar2;
    std::shared_ptr<renderive::Spectrum> spectrogram_line{};
    std::shared_ptr<renderive::Afterglow> afterglow{};
    QWidget* create_spectrogram_power_plot();
    QWidget* create_Afterglow_Plot();
    void init_menu();
protected:
    void focusInEvent(QFocusEvent *event) override;
};
#endif



